{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="col-md-12">
    <div class="content-box-large">
        <div class="panel-heading">
          <div class="panel-title">{{'Category list'}}</div>
          
          <div class="panel-options">
              <a href="{{path('categories_add')}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
          </div>
      </div>
        <div class="panel-body">

            <div class="table-responsive">
            <table class="table table-striped">
            <thead>
              <tr>
                <th>#</th>
                <th>{{'Image'|trans}}</th>
                <th>{{'Name'|trans}}</th>
                <th>{{'Created at'|trans}}</th>
                <th>{{'Actions'|trans}}</th>
              </tr>
            </thead>
            <tbody>
             {% for category in categories %} 
              <tr>
                <td>
                  {{category.id}}
                </td>
                <td>
                    <img src="{{asset(category.getImage(uploadsDir))}}" style="max-width:50px"/>
                </td>
                <td>
                  {{category.name}}
                </td>
            
                <td>
                  {{category.getCreatedAt()|date('d.m.Y H:i')}}
                </td>
                <td>
                    <a href="{{path('categories_edit',{
                        id:category.id
                    })}}">
                        <i class="fa fa-edit"></i>
                    </a>
                    <a href="{{path('categories_delete',{
                        id:category.id
                    })}}">
                        <i class="fa fa-trash-alt"></i>
                    </a>
                </td>
            </tr>
            {% endfor %}
            </tbody>
          </table>
          </div>
          {{knp_pagination_render(categories)}}
        </div>
    </div>
</div>
{% endblock %}

